RegistryRoot (install4j API)
Description: declaration: package: com.install4j.api.windows, enum: RegistryRoot

# Enum Class RegistryRoot

java.lang.Object
java.lang.Enum<RegistryRoot>
com.install4j.api.windows.RegistryRoot

All Implemented Interfaces:
  `Serializable, Comparable<RegistryRoot>, Constable`

public enum RegistryRoot extends Enum<RegistryRoot>
Enumeration class for the different registry roots in the Microsoft Windows registry.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HKEY_CLASSES_ROOT`
  Identifies the root registry key `HKEY_CLASSES_ROOT`.
  `HKEY_CURRENT_CONFIG`
  Identifies the root registry key `HKEY_CURRENT_CONFIG`.
  `HKEY_CURRENT_USER`
  Identifies the root registry key `HKEY_CURRENT_USER`.
  `HKEY_LOCAL_MACHINE`
  Identifies the root registry key `HKEY_LOCAL_MACHINE`.
  `HKEY_USERS`
  Identifies the root registry key `HKEY_USERS`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static RegistryRoot`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RegistryRoot[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HKEY_CLASSES_ROOT

    public static final RegistryRoot HKEY_CLASSES_ROOT
    Identifies the root registry key `HKEY_CLASSES_ROOT`.

  - ### HKEY_LOCAL_MACHINE

    public static final RegistryRoot HKEY_LOCAL_MACHINE
    Identifies the root registry key `HKEY_LOCAL_MACHINE`.

  - ### HKEY_CURRENT_USER

    public static final RegistryRoot HKEY_CURRENT_USER
    Identifies the root registry key `HKEY_CURRENT_USER`.

  - ### HKEY_USERS

    public static final RegistryRoot HKEY_USERS
    Identifies the root registry key `HKEY_USERS`.

  - ### HKEY_CURRENT_CONFIG

    public static final RegistryRoot HKEY_CURRENT_CONFIG
    Identifies the root registry key `HKEY_CURRENT_CONFIG`.

- ## Method Details

  - ### values

    public static RegistryRoot[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RegistryRoot valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<RegistryRoot>`